"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkflowGLSPNodeServerContribution = exports.SERVER_DIR = void 0;
/********************************************************************************
 * Copyright (c) 2023 STMicroelectronics and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
const node_1 = require("@eclipse-glsp-examples/workflow-server/node");
const layout_elk_1 = require("@eclipse-glsp/layout-elk");
const node_2 = require("@eclipse-glsp/server/node");
const node_3 = require("@eclipse-glsp/theia-integration/lib/node");
const inversify_1 = require("@theia/core/shared/inversify");
const path_1 = require("path");
const workflow_language_1 = require("../common/workflow-language");
exports.SERVER_DIR = (0, path_1.join)(__dirname, '..', '..', 'server');
let WorkflowGLSPNodeServerContribution = class WorkflowGLSPNodeServerContribution extends node_3.GLSPNodeServerContribution {
    constructor() {
        super(...arguments);
        this.id = workflow_language_1.WorkflowLanguage.contributionId;
    }
    createServerModules() {
        const appModule = (0, node_2.createAppModule)({ logLevel: node_2.LogLevel.info, logDir: exports.SERVER_DIR, fileLog: true, consoleLog: false });
        const elkLayoutModule = (0, layout_elk_1.configureELKLayoutModule)({ algorithms: ['layered'], layoutConfigurator: node_1.WorkflowLayoutConfigurator });
        const mainModule = new node_1.WorkflowServerModule().configureDiagramModule(new node_1.WorkflowDiagramModule(() => node_2.GModelStorage), elkLayoutModule);
        return [appModule, mainModule];
    }
};
WorkflowGLSPNodeServerContribution = __decorate([
    (0, inversify_1.injectable)()
], WorkflowGLSPNodeServerContribution);
exports.WorkflowGLSPNodeServerContribution = WorkflowGLSPNodeServerContribution;
//# sourceMappingURL=workflow-glsp-node-server-contribution.js.map